<?php
namespace Container\Mail;

use Helpers\Trad\Trad;

class CdeNoteAlert extends AbsMail
{

    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Fournisseur @1@ (@2@)')
            . $this->trad->colon()
            . $this->trad->t('Notation à effectuer'),
            $this->listeData['RS'],
            $this->listeData['COD_FOU']
        );
    }

    public function getMessage(): string
    {
        return Trad::strBuild(
            $this->trad->t('Merci d’effectuer la notation du fournisseur @1@ concernant la commande suivante :'),
            $this->listeData['RS']
        ) ."\r\n"
            . $this->listeData['NO_CDE'] . ' - ' . $this->listeData['OBJET_CA'] . "\r\n"
            . "\r\n"
            . $this->trad->t('Cordialement,') . "\r\n"
            . $this->listeData['NOM']
        ;
    }
}
